//******************************************************************************
// The application sends Hello World and at the same time is ready to receive.
// If 'o' is pressed on the keyboard, LED 2 (D4) is turned on. If a different key
// is pressed, LED 2 is turned off. 
//
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"
#include "HW_mini_Sensing_USB.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "module_UART.h"  
#include "module_UART.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    uint8_t readback = 0x00;
    
    IO_set_all_ports_as_inputs ();
    
    delay_set_quartz(32);
        
    //Set LED as output
    LED_1_DIR = SET_AS_OUTPUT;    
    LED_1 = LED_OFF;
    
    LED_2_DIR = SET_AS_OUTPUT;    
    LED_2 = LED_OFF;
    
    UART1_open (UART_BAUDRATE_19200);          
                        
    while (1){
        
        delay_ms (1000);
         
        LED_1 ^= 0x01;
        
        UART1_write_message ("Hello World ");        

        LED_1 ^= 0x01;
        
        if (UART1_data_ready() == 1){
        
            readback = UART1_read_byte();
            
            if (readback == 'o'){                
                LED_2 = LED_ON;
            } else {
                LED_2 = LED_OFF;
            }
        }
        
    }
}   

